run-shell ~/.tmux/plugins/tmux-thumbs/tmux-thumbs.tmux


set -g @thumbs-regexp-1 '[\w\d/:.,\-]{5,}'

set -g mode-keys vi

set-option -g prefix C-space

set -g mouse off
setw -g mouse off

# Start windows and panes at 1, not 0
set -g base-index 1
setw -g pane-base-index 1


bind-key -n F2 new-window
bind-key -n F3 previous-window
bind-key -n F4 next-window

set -s set-clipboard on

if-shell -b '[ "$(echo "$TMUX_VERSION >= 3.3" | bc)" = 1 ]' {
  set -g allow-passthrough on
}

set-option -ag terminal-features 'xterm-256color:RGB'
set -ag terminal-features ",gnome*:RGB"

set-option -sg escape-time 10
set-option -g focus-events on

# fix ssh agent when tmux is detached
set -g update-environment -r
set-environment -g 'SSH_AUTH_SOCK' ~/.ssh/ssh_auth_sock

run-shell ~/.tmux.conf.local
